accrue.analysis.interprocanalysis

## Class NodeIdentifier_c

- java.lang.Object
- - accrue.analysis.interprocanalysis.NodeIdentifier_c

- All Implemented Interfaces:
    NodeIdentifier
  Direct Known Subclasses:
    DataFlowNodeIdentifier_c, NativeNodeIdentifier_c

      public class NodeIdentifier_c
      extends java.lang.Object
      implements NodeIdentifier

  This class identifies a program point for the purposes of interprocedural analysis.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AnalysisContext` | `context`
    `protected boolean` | `hc_valid`
    `protected int` | `memoizedHashCode`
    `protected polyglot.ast.Term` | `node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeIdentifier_c(AnalysisContext context, polyglot.ast.Term node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `computeHashCode()`
    `boolean` | `equals(java.lang.Object o)`
    `AnalysisContext` | `getContext()`
    `polyglot.ast.Term` | `getNode()`
    `int` | `hashCode()`
    `boolean` | `isNative()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### node

          protected final polyglot.ast.Term node

    - #### context

          protected final AnalysisContext context

    - #### hc_valid

          protected boolean hc_valid

    - #### memoizedHashCode

          protected int memoizedHashCode

  - ### Constructor Detail

    - #### NodeIdentifier_c

          public NodeIdentifier_c(AnalysisContext context,
                          polyglot.ast.Term node)

  - ### Method Detail

    - #### getContext

          public AnalysisContext getContext()

      Specified by:
        `getContext` in interface `NodeIdentifier`

    - #### getNode

          public polyglot.ast.Term getNode()

      Specified by:
        `getNode` in interface `NodeIdentifier`

    - #### computeHashCode

          protected int computeHashCode()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isNative

          public boolean isNative()

      Specified by:
        `isNative` in interface `NodeIdentifier`